Act! v17 supports the following browsers:

  • Microsoft Internet Explorer® 9.x(1), 10.x(1), 11.x(1)
  • Chrome™* (Due to recent changes in the Chrome browser, support for Chrome is only available for Act! v17.2 and later.)
  • Safari® for iPad® iOS 6, iOS 7
  • Safari for iPhone® iOS 6, iOS 7
  • Android™ Native Browsers 2.3, 3.0, 4.x

The following browser is supported with additional manual configuration:

  • Chrome™ version 37 and later - Click here for more information on how to configure your browser.